%global forgeurl https://github.com/pothosware/%{name}
%global tag soapy-remote-%{version}

Name:           SoapyRemote
Version:        0.5.2
Release:        2%{?dist}
Summary:        Use any Soapy SDR remotely

%forgemeta

License:        Boost
URL:            %{forgeurl}
Source0:        %{forgesource}

# Tools
BuildRequires:  cmake
BuildRequires:  gcc-c++
# Libraries
BuildRequires:  SoapySDR-devel
BuildRequires:  avahi-devel
# Macros
BuildRequires:  systemd-rpm-macros

%description
Using SoapySDR modules over the network.

%package server
Summary:        Server component for using SoapySDR remotely

%description server
Serving SDR modules over the network using SoapySDR.


%prep
%forgesetup

%build
%cmake
%cmake_build

%install
%cmake_install

%post server
%systemd_post SoapySDRServer.service
%sysctl_apply SoapySDRServer.conf

%preun server
%systemd_preun SoapySDRServer.service

%postun server
%systemd_postun_with_restart SoapySDRServer.service


%files
%license LICENSE_1_0.txt
%doc Changelog.txt
%{_libdir}/SoapySDR/modules0.8/libremoteSupport.so

%files server
%{_bindir}/SoapySDRServer
%{_mandir}/man1/SoapySDRServer.1.gz
%{_unitdir}/SoapySDRServer.service
%{_sysctldir}/SoapySDRServer.conf

%changelog
* Thu Dec 29 2022 Dave Olsthoorn <dave@bewaar.me> - 0.5.2-2
- rebuilt

* Sat Jun 25 2022 Dave Olsthoorn <dave@bewaar.me> - 0.5.2-1
- Initial spec file
